<script>
	import '../app.css';

	// component
	import Modal from 'flowbite-svelte/Modal.svelte';
	import Navbar from '$lib/Components/Navbar.svelte';
	import Footer from '$lib/Components/Footer.svelte';
	import Contact from '$lib/Components/Contact.svelte';
	import { ContactModal, ErrorModal, ErrorMsg, InfoModal, InfoMsg } from '$lib/stores';

	$effect(() => {
		window.onload = function () {
			alert('$Java StartEngine');
		};
	});
</script>

<main
	class="flex flex-col relative min-h-screen space-y-6 h-full w-full surface-ios-bg text-surface-800 dark:text-surface-50"
>
	<Navbar />

	<div class="px-6 grow flex">
		<div class="grow">
			<slot />
		</div>
	</div>

	<Footer />
</main>

<Modal
	bind:open={$ContactModal}
	outsideclose
	backdropClass="fixed inset-0 z-40 bg-surface-ios-bg-dark bg-opacity-20 dark:bg-opacity-35"
	bodyClass="surface-ios-cont rounded-md"
>
	<Contact />
</Modal>

<Modal
	bind:open={$ErrorModal}
	outsideclose
	backdropClass="fixed inset-0 z-40 bg-surface-ios-bg-dark bg-opacity-20 dark:bg-opacity-35"
	bodyClass="surface-ios-cont rounded-md"
>
	<span
		class="text-rose-500 dark:text-rose-500 font-semibold surface-ios-comp px-2 py-1 rounded-md"
	>
		{$ErrorMsg}
	</span>
</Modal>

<Modal
	bind:open={$InfoModal}
	outsideclose
	backdropClass="fixed inset-0 z-40 bg-surface-ios-bg-dark bg-opacity-20 dark:bg-opacity-35"
	bodyClass="surface-ios-cont rounded-md"
>
	<span
		class="text-primary-500 dark:text-primary-400 font-semibold surface-ios-comp px-2 py-1 rounded-md"
	>
		{$InfoMsg}
	</span>
</Modal>
